Name:          jackcess
Version:       2.1.2
Release:       %mkrel 4
Group:         Development/Java
Summary:       Java library for reading from and writing to MS Access databases
License:       ASL 2.0
URL:           http://jackcess.sourceforge.net/
# svn checkout http://svn.code.sf.net/p/jackcess/code/jackcess/tags/jackcess-2.1.2
# tar cJf jackcess-2.1.2.tar.xz jackcess-2.1.2
Source0:       %{name}-%{version}.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:12)
BuildRequires: mvn(org.apache.poi:poi)

BuildArch:     noarch

%description
Jackcess is a pure Java library for reading from and
writing to MS Access databases (currently supporting
versions 2000-2013).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete

# com.healthmarketscience:openhms-parent:1.1.1
%pom_remove_parent
%pom_remove_plugin :cobertura-maven-plugin
%pom_remove_plugin :maven-changes-plugin
%pom_xpath_set "pom:dependency[pom:groupId='log4j']/pom:version" 12

%mvn_file :%{name} %{name}
%mvn_file :%{name}-tests::tests: %{name}-tests
%mvn_package :::tests:

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc TODO.txt
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 2.1.2-4.mga6
+ Revision: 982374
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.1.2-3.mga6
+ Revision: 976456
- First rebuild of the java stack
- sync package jackcess with fedora

